Bug 847094 - [webadmin] Can't edit direct LUN VM disk
[webadmin] Can't edit direct LUN VM disk
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2
Assigned To: Greg Padgett
Depends On:
Blocks: 847153
  Show dependency treegraph
Reported: 2012-08-09 12:51 EDT by Greg Padgett
Modified: 2016-06-12 19:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 847153 (view as bug list)
Last Closed: 2013-02-15 01:46:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Greg Padgett 2012-08-09 12:51:36 EDT
Description of problem:
After adding a Direct LUN disk to a VM, if you attempt to edit the disk you can't save any changes (e.g. bootable flag).

Version-Release number of selected component (if applicable):
Built from git commit 0ee84928db7b8d8eb4f01f33a90433278a3dc82d

How reproducible:

Steps to Reproduce:
1. Create a VM
2. Add a disk, type External (Direct LUN)
3. Select Virtual Machines > (new VM) > Virtual Disks > (new disk) > Edit
4. Click OK to save changes from dialog

Actual results:
The Target/LUN selection area will be highlighted due to the validation error, since all LUNs are greyed-out and none are selected.

Expected results:
Changes are saved.
Comment 1 Greg Padgett 2012-08-09 13:53:32 EDT
Proposed patch at http://gerrit.ovirt.org/7069
Comment 3 Itamar Heim 2013-01-16 11:08:34 EST
3.2 beta built, moving to ON_QA status to allow testing

Note You need to log in before you can comment on or make changes to this bug.